#========================================================================================
# package      DE_EPAGES::EPagesJ::t::RestClient
# state        private
#========================================================================================
package DE_EPAGES::EPagesJ::t::RestClient;
use base Test::Class;

use strict;
use warnings;

use JSON;
use Test::More;
use DE_EPAGES::EPagesJ::API::Object::RestClient;
use DE_EPAGES::Core::API::Script qw ( RunScript );

sub test : Test(no_plan) {
    my $self = shift;
    my $Client = DE_EPAGES::EPagesJ::API::Object::RestClient->new(
      'HttpClient' => LWP::UserAgent->new()
    );
    is($Client->encodeRequest({'a'=>'b'}), encode_json({'a'=>'b'}), 'encodeRequest' );
    ok($Client->client()->isa('LWP::UserAgent'), 'user agent');
    is_deeply($Client->decodeResponse('{"a":"b"}'), decode_json('{"a":"b"}'), 'decodeRequest' );
}

####### Main ############
RunScript(
    Sub => sub {
        Test::Class->runtests;
      }
);
